"use client";

import Link from "next/link";
import { useSessionStore } from "@core/Store/Sesion.Store";
import style from "./style.module.css";

export default function CTABtn() {
    const SessionInfo = useSessionStore();

    if (SessionInfo.loged) {
        return (
            <Link href="/landing/pricing" className={style.ctaBtn}>
                Ver planes
            </Link>
        );
    }

    return (
        <Link href="/landing/signup" className={style.ctaBtn}>
            Crear mi cuenta gratis
        </Link>
    );
}
